%define pango_version 1.2.0
%define gtk2_version 2.11.3
%define desktop_file_utils_version 0.12-2.fc7
%define gnome_doc_utils_version 0.2.0
%define gconf_version 2.14

Name: bug-buddy
Version: 2.24.1
Release: 1%{?dist}
Epoch: 1
Summary: A bug reporting utility for GNOME
License: GPLv2 and BSD
Group: Applications/System
URL: http://www.gnome.org
Source: http://download.gnome.org/sources/bug-buddy/2.24/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: libxml2-devel
BuildRequires: libgnomeui-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: fontconfig
BuildRequires: scrollkeeper
BuildRequires: gnome-desktop-devel
BuildRequires: gettext
BuildRequires: libbonobo-devel
BuildRequires: glib2-devel
BuildRequires: libgnome-devel
BuildRequires: gnome-menus-devel
BuildRequires: libglade2-devel
BuildRequires: which
# Needed by intltool
BuildRequires: perl(XML::Parser)
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: libsoup-devel >= 2.3.0
BuildRequires: libgtop2-devel >= 2.13.3
BuildRequires: evolution-data-server-devel >= 1.9.1
BuildRequires: elfutils-libelf-devel
BuildRequires: autoconf, automake, libtool, intltool
BuildRequires: gnome-common
BuildRequires: intltool
BuildRequires: libtool
Requires: gdb

Requires(preun): GConf2 >= %{gconf_version}
Requires(pre): GConf2 >= %{gconf_version}
Requires(post): GConf2 >= %{gconf_version}
Requires(post): desktop-file-utils >= %{desktop_file_utils_version}
Requires(postun): desktop-file-utils >= %{desktop_file_utils_version}

%description
Bug-buddy is a bug reporting utility for the GNOME desktop GUI
environment. Bug-buddy can obtain a stack trace from a core file or
crashed application; it can determine the versions of packages
installed on your system; it can be started from gmc (by
double-clicking on a core file) and from the crash dialog; and it
supports the GNOME, KDE, Debian, and Ximian bug tracking systems.

%prep
%setup -q 

%build
%configure --disable-scrollkeeper
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --delete-original			\
  --vendor gnome					\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
  --remove-category Application				\
  $RPM_BUILD_ROOT%{_datadir}/applications/*

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/breakpad-0.1
rm -f $RPM_BUILD_ROOT%{_libdir}/bug-buddy/libbreakpad.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/libgnomebreakpad.{a,la}

# remove unused files
rm -rf $RPM_BUILD_ROOT%{_datadir}/bug-buddy/bugzilla

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/bug-buddy.schemas >& /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
touch --no-create %{_datadir}/icons/HighContrastLargePrint
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor
    gtk-update-icon-cache -q %{_datadir}/icons/HighContrastLargePrint
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/bug-buddy.schemas >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/bug-buddy.schemas >& /dev/null || :
fi

%postun
update-desktop-database %{_datadir}/applications
touch --no-create %{_datadir}/icons/hicolor
touch --no-create %{_datadir}/icons/HighContrastLargePrint
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor
    gtk-update-icon-cache -q %{_datadir}/icons/HighContrastLargePrint
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README 
%{_datadir}/icons/hicolor/*/apps/bug-buddy.png
%{_datadir}/icons/hicolor/scalable/apps/bug-buddy.svg
%{_datadir}/icons/HighContrastLargePrint/48x48/apps/bug-buddy.png
%{_datadir}/bug-buddy
%{_datadir}/applications/*
%{_bindir}/*
%{_libdir}/gtk-2.0/modules/libgnomebreakpad.so
%{_mandir}/man1/bug-buddy.1.gz
%ifarch i386
%{_libdir}/bug-buddy
%endif
%{_sysconfdir}/gconf/schemas/*

%changelog
* Sun Oct 19 2008 Matthias Clasen <mclasen@redhat.com> - 1:2.24.1-1
- Update to 2.24.1

* Wed Oct 15 2008 Matthias Clasen <mclasen@redhat.com> - 1:2.24.0-3
- Don't install unused files

* Fri Oct  3 2008 Matthias Clasen <mclasen@redhat.com> - 1:2.24.0-2
- Make the gtk module resident, since unloading it is not good

* Mon Sep 22 2008 Matthias Clasen <mclasen@redhat.com> - 1:2.24.0-1
- Update to 2.24.0

* Tue Sep  2 2008 Matthias Clasen <mclasen@redhat.com> - 1:2.23.91.1-1
- Update to 2.23.91.1

* Tue Aug  5 2008 Matthias Clasen <mclasen@redhat.com> - 1:2.23.6-1
- Update to 2.23.6

* Tue Jul 22 2008 Matthias Clasen <mclasen@redhat.com> - 1:2.23.5.1-1
- Update to 2.23.5.1

* Wed Jun  4 2008 Matthias Clasen <mclasen@redhat.com> - 1:2.22.0-4
- Rebuild

* Wed May 14 2008 Matthias Clasen <mclasen@redhat.com> - 1:2.22.0-3
- Rebuild

* Thu Mar 13 2008 Matthias Clasen <mclasen@redhat.com> - 1:2.22.0-2
- Fix a directory ownership issue

* Mon Mar 10 2008 Matthias Clasen <mclasen@redhat.com> - 1:2.22.0-1
- Update to 2.22.0

* Thu Feb 14 2008 Matthias Clasen <mclasen@redhat.com> - 1:2.21.90-2
- Rebuild for new libsoup

* Wed Jan 30 2008 Matthias Clasen <mclasen@redhat.com> - 1:2.21.90-1
- Update to 2.21.90

* Tue Jan 29 2008 Matthias Clasen <mclasen@redhat.com> - 1:2.20.1-2
- Port to libsoup 2.4

* Fri Oct 26 2007 Matthias Clasen <mclasen@redhat.com> - 1:2.20.1-1
- Update to 2.20.1
- Drop obsolete patches

* Mon Oct  1 2007 Matthias Clasen <mclasen@redhat.com> - 1:2.20.0-2
- Incorporate upstream fixes (#314861)

* Tue Sep 18 2007 Matthias Clasen <mclasen@redhat.com> - 1:2.20.0-1
- Update to 2.20.0

* Mon Sep  3 2007 Matthias Clasen <mclasen@redhat.com> - 1:2.19.91.fc8.svn20070904-1
- Update to a post-2.19.91 snapshot 

* Fri Mar 30 2007 Matthias Clasen <mclasen@redhat.com> - 1:2.18.0-2
- Make bug-buddy more robust 

* Tue Mar 13 2007 Matthias Clasen <mclasen@redhat.com> - 1:2.18.0-1
- Update to 2.18.0

* Tue Feb 27 2007 Matthias Clasen <mclasen@redhat.com> - 1:2.17.4-1
- Update to 2.17.4

* Fri Feb  2 2007 Ray Strode <rstrode@redhat.com> - 1:2.17.3-3
- add --vendor gnome back (bug 225629#c5)

* Fri Feb  2 2007 Ray Strode <rstrode@redhat.com> - 1:2.17.3-2
- change %%makeinstall over to using DESTDIR instead
- remove --vendor gnome and --add-category X-Red-Hat-Extra from
  desktop-file-utils
- remove crufy perl s/// that's not need anymore
- get rid of line that remove icon cache since it's not
  erroneously created anymore

* Tue Dec 19 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.17.3-1
- Update to 2.17.3

* Tue Dec  5 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.17.2-1
- Update to 2.17.2
- Drop upstreamed patch

* Wed Nov  1 2006 Alexander Larsson <alexl@redhat.com> - 1:2.16.0-4.fc7
- Add extra information to autogenerated bug reports

* Fri Oct 27 2006 Matthew Barnes <mbarnes@redhat.com> - 1:2.16.0-3
- Update BuildRequires for evolution-data-server-devel.
- Rebuild against evolution-data-server-1.9.1.

* Wed Oct 18 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.16.0-2
- Fix scripts according to the packaging guidelines

* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.16.0-1.fc6
- Update to 2.16.0

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.92-1.fc6
- Update to 2.15.92

* Sat Aug  5 2006 Caolan McNamara <caolanm@redhat.com> - 1:2.15.90-2.fc6
- rebuild against new e-d-s

* Wed Aug  2 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.90-1.fc6
- Update to 2.15.90

* Sat Jul 22 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.15.0-3
- Hide bug-buddy from the menus, since it is now strictly
  a crash-reporting tool

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1:2.15.0-2.1
- rebuild

* Wed Jun 14 2006 Tomas Mraz <tmraz@redhat.com> - 2.15.0-2
- rebuilt with new gnutls

* Tue Jun 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.0-1
- Update to 2.15.0
- Add more BuildRequires

* Sun Mar 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.0-1
- Update to 2.14.0

* Mon Feb 27 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.90-1
- Update to 2.13.90

* Fri Feb 17 2006 Karsten Hopp <karsten@redhat.de> 2.13.0-2
- BuildRequires: which

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:2.13.0-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:2.13.0-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 17 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.0-1
- Update to 2.13.0

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Oct 11 2005 Nils Philippsen <nphilipp@redhat.com> - 2.12.1-2
- add missing build requirements libbonobo-devel, glib2-devel, libgnome-devel,
  gnome-menus-devel, libglade2-devel

* Thu Oct  6 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.1-1
- Update to 2.12.1
- Drop upstreamed patches

* Thu Sep 29 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.0-2
- Fix a few bugs

* Wed Sep  7 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.0-1
- Update to 2.12.0

* Tue Aug 16 2005 Warren Togami <wtogami@redhat.com> - 2.11.1-2
- rebuild for new cairo

* Wed Aug 03 2005 Ray Strode <rstrode@redhat.com> - 2.11.1-1
- Update to upstream version 2.11.1

* Wed Jul 13 2005 Matthias Clasen <mclasen@redhat.com> 2.11.0-1
- Newer upstream version

* Sat Jul  9 2005 Matthias Clasen <mclasen@redhat.com> 2.10.0-2
- Rebuilt

* Fri Apr  8 2005 Ray Strode <rstrode@redhat.com> 2.10.0-1
- Update to 2.10.0

* Sat Mar  5 2005 Christopher Aillon <caillon@redhat.com> 2.9.92-1
- Update to 2.9.92
- Build against GCC 4.0

* Fri Feb 11 2005 Matthias Clasen <mclasen@redhat.com> 2.9.91-1
- Update to 2.9.91

* Mon Jan 31 2005 Matthias Clasen <mclasen@redhat.com> 2.9.3-1
- Update to 2.9.3

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com>
- PreReq desktop-file-utils >= 0.9

* Wed Sep 29 2004 Christopher Aillon <caillon@redhat.com> 1:2.8.0-2
- update desktop database on uninstall too.
- desktop-file-utils should be an install require, not a build require

* Mon Sep 13 2004 Christopher Aillon <caillon@redhat.com> 1:2.8.0-1
- Update to 2.8.0
- Make sure to update MIME database for core file handling

* Sun Aug 22 2004 Christopher Aillon <caillon@redhat.com> 1:2.7.91-1
- update to 2.7.91

* Tue Aug 03 2004 Christopher Aillon <caillon@redhat.com> 1:2.7.0-1
- update to 2.7.0

* Tue Jun 29 2004 Christopher Aillon <caillon@redhat.com> 1:2.6.1-1
- update to 2.6.1

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 14 2004 Warren Togami <wtogami@redhat.com> 1:2.6.0-2
* #111155 BR perl-XML-Parser scrollkeeper gnome-desktop-devel gettext

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 1:2.6.0-1
- update to 2.6.0

* Wed Mar  3 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.90-2
- add COPYING.ximian-logos to docs (#115950)

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.90-1
- update to 2.5.90

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.2-1
- 2.5.2

* Wed Sep  3 2003 Alexander Larsson <alexl@redhat.com> 1:2.4.0-1
- 2.4.0

* Wed Aug 20 2003 Alexander Larsson <alexl@redhat.com> 1:2.3.4-1
- update for gnome 2.3

* Tue Jul 29 2003 Havoc Pennington <hp@redhat.com> 1:2.2.106-2
- rebuild

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 1:2.2.106-1
- 2.2.106

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-5
- nuke BuildRequires Xft

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec  6 2002 Havoc Pennington <hp@redhat.com>
- rebuild

* Fri Aug  9 2002 Havoc Pennington <hp@redhat.com>
- require gdb

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- 2.2.0
- fixes to file list
- clean up unused files in install

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- fix for #69408 desktop file syntax glitch

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libraries
- use desktop-file-install

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in different environment

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- fix a scrollkeeper validation bug

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 2.1.6

* Fri May 03 2002 Havoc Pennington <hp@redhat.com>
- remove gconf post for now, seems to lack a schemas file

* Fri May 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- switch to GNOME 2 version
- clean up file list to use macros

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- rebuild with translations

* Wed Feb 27 2002 Havoc Pennington <hp@redhat.com>
- backport to Hampton

* Thu Jan 24 2002 Tim Powers <timp@redhat.com>
- rebuild against new openssl

* Fri Jan 18 2002 Havoc Pennington <hp@redhat.com>
- automake14

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Mon Jul 23 2001 Jonathan Blandford <jrb@redhat.com>
- Add BuildRequires

* Mon Jul  9 2001 Jonathan Blandford <jrb@redhat.com>
- New version. (2.0.6)

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Fri Feb 23 2001 Trond Eivind Glomsrrod <teg@redhat.com>
- don't define %%nam and %%ver (why do people do that?)
- use %%{_tmppath}
- langify
- more cleanups

* Mon Dec 04 2000 Jonathan Blandford <jrb@redhat.com>
- Move to newer version.

* Fri Aug 18 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- delete Vendor: and Distribution: tags (#16115)
- move changelog to the end of the spec file

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul 8 2000 Havoc Pennington <hp@redhat.com>
- remove Docdir
